In December 2017, there were some changes to the Google connection API and the TripLogik Manager Software was updated to work properly .

You must update your TripLogik Manager Software to the latest version. 


To check your version, In the Manager Software, click on the question mark info Icon.

The version information window will show you the current version you are using

The current version is 1.0.5 WITH BUILD 2437 

Any version 1.0.5 with a build before 2437 will not work.